Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Class PortalDeploymentInfoContext

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.PortalDeploymentInfoContext

    public class PortalDeploymentInfoContext

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`PortalDeploymentInfoContext(PortalDeploymentInfo pdi)`

Method Summary
`void` | `add(DeploymentFactoryContext factoryCtx, boolean proceedLifcycle)`
`void` | `create()`
`void` | `destroy()`
`PortalDeploymentInfo` | `getInfo()`
`void` | `remove(DeploymentFactoryContext factoryContext, boolean proceedLifecycle)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalDeploymentInfoContext

    public PortalDeploymentInfoContext(PortalDeploymentInfo pdi)

Method Detail

### getInfo

    public PortalDeploymentInfo getInfo()

### add

    public void add(DeploymentFactoryContext factoryCtx,
                    boolean proceedLifcycle)
             throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### remove

    public void remove(DeploymentFactoryContext factoryContext,
                       boolean proceedLifecycle)

### create

    public void create()
                throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop()
              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### destroy

    public void destroy()
                 throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD